----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    01:12:37 04/20/2010 
-- Design Name: 
-- Module Name:    layer2 - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity layer2 is
    Port ( clk : in  STD_LOGIC;
           reset : in  STD_LOGIC;
           ce : in  STD_LOGIC;
           input1 : in  STD_LOGIC_VECTOR (31 downto 0);
           input2 : in  STD_LOGIC_VECTOR (31 downto 0);
           y_i : out  STD_LOGIC_VECTOR (31 downto 0);
           i : out  STD_LOGIC_VECTOR (1 downto 0);
           oe : out  STD_LOGIC);
end layer2;

architecture Behavioral of layer2 is

component counter2 is
	Port ( clk : in  STD_LOGIC;
           ce : in  STD_LOGIC;
           reset : in  STD_LOGIC;
           f : out  STD_LOGIC_VECTOR (1 downto 0));
end component;

component m2x32 is
	Port ( input1 : in  STD_LOGIC_VECTOR (31 downto 0);
           input2 : in  STD_LOGIC_VECTOR (31 downto 0);
           sel : in  STD_LOGIC;
           f : out  STD_LOGIC_VECTOR (31 downto 0));
end component;

signal i_i : STD_LOGIC_VECTOR (1 downto 0);
signal oe_i : STD_LOGIC;

begin

	U0: counter2 port map(clk, ce, reset, i_i);
	U1: m2x32 port map(input1, input2, i_i(0), y_i);
	
	oe <= not i_i(1);
	i <= i_i;

end Behavioral;

