--------------------------------------------------------------------------------
-- Copyright (c) 1995-2009 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: L.46
--  \   \         Application: netgen
--  /   /         Filename: layer2_synthesis.vhd
-- /___/   /\     Timestamp: Tue Apr 20 12:52:20 2010
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -intstyle ise -ar Structure -tm layer2 -w -dir netgen/synthesis -ofmt vhdl -sim layer2.ngc layer2_synthesis.vhd 
-- Device	: xc6vsx475t-1-ff1759
-- Input file	: layer2.ngc
-- Output file	: \\ece-homes.ece.wpi.edu\stephen.mann\MQP\vertex6\NeuralNetwork\netgen\synthesis\layer2_synthesis.vhd
-- # of Entities	: 1
-- Design Name	: layer2
-- Xilinx	: C:\Xilinx\11.1\ISE
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Command Line Tools User Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
use UNISIM.VPKG.ALL;

entity layer2 is
  port (
    clk : in STD_LOGIC := 'X'; 
    reset : in STD_LOGIC := 'X'; 
    ce : in STD_LOGIC := 'X'; 
    oe : out STD_LOGIC; 
    input1 : in STD_LOGIC_VECTOR ( 31 downto 0 ); 
    input2 : in STD_LOGIC_VECTOR ( 31 downto 0 ); 
    y_i : out STD_LOGIC_VECTOR ( 31 downto 0 ); 
    i : out STD_LOGIC_VECTOR ( 1 downto 0 ) 
  );
end layer2;

architecture Structure of layer2 is
  signal U0_f_i_0_1_3 : STD_LOGIC; 
  signal U0_f_i_0_2_4 : STD_LOGIC; 
  signal U0_f_i_1_1_6 : STD_LOGIC; 
  signal ce_IBUF_8 : STD_LOGIC; 
  signal clk_BUFGP_10 : STD_LOGIC; 
  signal input1_0_IBUF_45 : STD_LOGIC; 
  signal input1_10_IBUF_46 : STD_LOGIC; 
  signal input1_11_IBUF_47 : STD_LOGIC; 
  signal input1_12_IBUF_48 : STD_LOGIC; 
  signal input1_13_IBUF_49 : STD_LOGIC; 
  signal input1_14_IBUF_50 : STD_LOGIC; 
  signal input1_15_IBUF_51 : STD_LOGIC; 
  signal input1_16_IBUF_52 : STD_LOGIC; 
  signal input1_17_IBUF_53 : STD_LOGIC; 
  signal input1_18_IBUF_54 : STD_LOGIC; 
  signal input1_19_IBUF_55 : STD_LOGIC; 
  signal input1_1_IBUF_56 : STD_LOGIC; 
  signal input1_20_IBUF_57 : STD_LOGIC; 
  signal input1_21_IBUF_58 : STD_LOGIC; 
  signal input1_22_IBUF_59 : STD_LOGIC; 
  signal input1_23_IBUF_60 : STD_LOGIC; 
  signal input1_24_IBUF_61 : STD_LOGIC; 
  signal input1_25_IBUF_62 : STD_LOGIC; 
  signal input1_26_IBUF_63 : STD_LOGIC; 
  signal input1_27_IBUF_64 : STD_LOGIC; 
  signal input1_28_IBUF_65 : STD_LOGIC; 
  signal input1_29_IBUF_66 : STD_LOGIC; 
  signal input1_2_IBUF_67 : STD_LOGIC; 
  signal input1_30_IBUF_68 : STD_LOGIC; 
  signal input1_31_IBUF_69 : STD_LOGIC; 
  signal input1_3_IBUF_70 : STD_LOGIC; 
  signal input1_4_IBUF_71 : STD_LOGIC; 
  signal input1_5_IBUF_72 : STD_LOGIC; 
  signal input1_6_IBUF_73 : STD_LOGIC; 
  signal input1_7_IBUF_74 : STD_LOGIC; 
  signal input1_8_IBUF_75 : STD_LOGIC; 
  signal input1_9_IBUF_76 : STD_LOGIC; 
  signal input2_0_IBUF_109 : STD_LOGIC; 
  signal input2_10_IBUF_110 : STD_LOGIC; 
  signal input2_11_IBUF_111 : STD_LOGIC; 
  signal input2_12_IBUF_112 : STD_LOGIC; 
  signal input2_13_IBUF_113 : STD_LOGIC; 
  signal input2_14_IBUF_114 : STD_LOGIC; 
  signal input2_15_IBUF_115 : STD_LOGIC; 
  signal input2_16_IBUF_116 : STD_LOGIC; 
  signal input2_17_IBUF_117 : STD_LOGIC; 
  signal input2_18_IBUF_118 : STD_LOGIC; 
  signal input2_19_IBUF_119 : STD_LOGIC; 
  signal input2_1_IBUF_120 : STD_LOGIC; 
  signal input2_20_IBUF_121 : STD_LOGIC; 
  signal input2_21_IBUF_122 : STD_LOGIC; 
  signal input2_22_IBUF_123 : STD_LOGIC; 
  signal input2_23_IBUF_124 : STD_LOGIC; 
  signal input2_24_IBUF_125 : STD_LOGIC; 
  signal input2_25_IBUF_126 : STD_LOGIC; 
  signal input2_26_IBUF_127 : STD_LOGIC; 
  signal input2_27_IBUF_128 : STD_LOGIC; 
  signal input2_28_IBUF_129 : STD_LOGIC; 
  signal input2_29_IBUF_130 : STD_LOGIC; 
  signal input2_2_IBUF_131 : STD_LOGIC; 
  signal input2_30_IBUF_132 : STD_LOGIC; 
  signal input2_31_IBUF_133 : STD_LOGIC; 
  signal input2_3_IBUF_134 : STD_LOGIC; 
  signal input2_4_IBUF_135 : STD_LOGIC; 
  signal input2_5_IBUF_136 : STD_LOGIC; 
  signal input2_6_IBUF_137 : STD_LOGIC; 
  signal input2_7_IBUF_138 : STD_LOGIC; 
  signal input2_8_IBUF_139 : STD_LOGIC; 
  signal input2_9_IBUF_140 : STD_LOGIC; 
  signal oe_OBUF_142 : STD_LOGIC; 
  signal reset_IBUF_144 : STD_LOGIC; 
  signal y_i_0_OBUF_177 : STD_LOGIC; 
  signal y_i_10_OBUF_178 : STD_LOGIC; 
  signal y_i_11_OBUF_179 : STD_LOGIC; 
  signal y_i_12_OBUF_180 : STD_LOGIC; 
  signal y_i_13_OBUF_181 : STD_LOGIC; 
  signal y_i_14_OBUF_182 : STD_LOGIC; 
  signal y_i_15_OBUF_183 : STD_LOGIC; 
  signal y_i_16_OBUF_184 : STD_LOGIC; 
  signal y_i_17_OBUF_185 : STD_LOGIC; 
  signal y_i_18_OBUF_186 : STD_LOGIC; 
  signal y_i_19_OBUF_187 : STD_LOGIC; 
  signal y_i_1_OBUF_188 : STD_LOGIC; 
  signal y_i_20_OBUF_189 : STD_LOGIC; 
  signal y_i_21_OBUF_190 : STD_LOGIC; 
  signal y_i_22_OBUF_191 : STD_LOGIC; 
  signal y_i_23_OBUF_192 : STD_LOGIC; 
  signal y_i_24_OBUF_193 : STD_LOGIC; 
  signal y_i_25_OBUF_194 : STD_LOGIC; 
  signal y_i_26_OBUF_195 : STD_LOGIC; 
  signal y_i_27_OBUF_196 : STD_LOGIC; 
  signal y_i_28_OBUF_197 : STD_LOGIC; 
  signal y_i_29_OBUF_198 : STD_LOGIC; 
  signal y_i_2_OBUF_199 : STD_LOGIC; 
  signal y_i_30_OBUF_200 : STD_LOGIC; 
  signal y_i_31_OBUF_201 : STD_LOGIC; 
  signal y_i_3_OBUF_202 : STD_LOGIC; 
  signal y_i_4_OBUF_203 : STD_LOGIC; 
  signal y_i_5_OBUF_204 : STD_LOGIC; 
  signal y_i_6_OBUF_205 : STD_LOGIC; 
  signal y_i_7_OBUF_206 : STD_LOGIC; 
  signal y_i_8_OBUF_207 : STD_LOGIC; 
  signal y_i_9_OBUF_208 : STD_LOGIC; 
  signal Result : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal U0_f_i : STD_LOGIC_VECTOR ( 1 downto 0 ); 
begin
  U0_f_i_0 : FDRE
    port map (
      C => clk_BUFGP_10,
      CE => ce_IBUF_8,
      D => Result(0),
      R => reset_IBUF_144,
      Q => U0_f_i(0)
    );
  U0_f_i_1 : FDRE
    port map (
      C => clk_BUFGP_10,
      CE => ce_IBUF_8,
      D => Result(1),
      R => reset_IBUF_144,
      Q => U0_f_i(1)
    );
  U1_Mmux_f321 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_9_IBUF_140,
      I2 => input1_9_IBUF_76,
      O => y_i_9_OBUF_208
    );
  U1_Mmux_f311 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_8_IBUF_139,
      I2 => input1_8_IBUF_75,
      O => y_i_8_OBUF_207
    );
  U1_Mmux_f301 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_7_IBUF_138,
      I2 => input1_7_IBUF_74,
      O => y_i_7_OBUF_206
    );
  U1_Mmux_f291 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_6_IBUF_137,
      I2 => input1_6_IBUF_73,
      O => y_i_6_OBUF_205
    );
  U1_Mmux_f281 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_5_IBUF_136,
      I2 => input1_5_IBUF_72,
      O => y_i_5_OBUF_204
    );
  U1_Mmux_f271 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_4_IBUF_135,
      I2 => input1_4_IBUF_71,
      O => y_i_4_OBUF_203
    );
  U1_Mmux_f261 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_3_IBUF_134,
      I2 => input1_3_IBUF_70,
      O => y_i_3_OBUF_202
    );
  U1_Mmux_f251 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_31_IBUF_133,
      I2 => input1_31_IBUF_69,
      O => y_i_31_OBUF_201
    );
  U1_Mmux_f241 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_30_IBUF_132,
      I2 => input1_30_IBUF_68,
      O => y_i_30_OBUF_200
    );
  U1_Mmux_f231 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_2_IBUF_131,
      I2 => input1_2_IBUF_67,
      O => y_i_2_OBUF_199
    );
  U1_Mmux_f221 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_29_IBUF_130,
      I2 => input1_29_IBUF_66,
      O => y_i_29_OBUF_198
    );
  U1_Mmux_f211 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_28_IBUF_129,
      I2 => input1_28_IBUF_65,
      O => y_i_28_OBUF_197
    );
  U1_Mmux_f201 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_27_IBUF_128,
      I2 => input1_27_IBUF_64,
      O => y_i_27_OBUF_196
    );
  U1_Mmux_f191 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_26_IBUF_127,
      I2 => input1_26_IBUF_63,
      O => y_i_26_OBUF_195
    );
  U1_Mmux_f181 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_25_IBUF_126,
      I2 => input1_25_IBUF_62,
      O => y_i_25_OBUF_194
    );
  U1_Mmux_f171 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_24_IBUF_125,
      I2 => input1_24_IBUF_61,
      O => y_i_24_OBUF_193
    );
  U1_Mmux_f161 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_23_IBUF_124,
      I2 => input1_23_IBUF_60,
      O => y_i_23_OBUF_192
    );
  U1_Mmux_f151 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_22_IBUF_123,
      I2 => input1_22_IBUF_59,
      O => y_i_22_OBUF_191
    );
  U1_Mmux_f141 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_21_IBUF_122,
      I2 => input1_21_IBUF_58,
      O => y_i_21_OBUF_190
    );
  U1_Mmux_f131 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_20_IBUF_121,
      I2 => input1_20_IBUF_57,
      O => y_i_20_OBUF_189
    );
  U1_Mmux_f121 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_1_IBUF_120,
      I2 => input1_1_IBUF_56,
      O => y_i_1_OBUF_188
    );
  U1_Mmux_f111 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_19_IBUF_119,
      I2 => input1_19_IBUF_55,
      O => y_i_19_OBUF_187
    );
  U1_Mmux_f101 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_18_IBUF_118,
      I2 => input1_18_IBUF_54,
      O => y_i_18_OBUF_186
    );
  U1_Mmux_f91 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_17_IBUF_117,
      I2 => input1_17_IBUF_53,
      O => y_i_17_OBUF_185
    );
  U1_Mmux_f81 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_16_IBUF_116,
      I2 => input1_16_IBUF_52,
      O => y_i_16_OBUF_184
    );
  U1_Mmux_f71 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_15_IBUF_115,
      I2 => input1_15_IBUF_51,
      O => y_i_15_OBUF_183
    );
  U1_Mmux_f61 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_14_IBUF_114,
      I2 => input1_14_IBUF_50,
      O => y_i_14_OBUF_182
    );
  U1_Mmux_f51 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_13_IBUF_113,
      I2 => input1_13_IBUF_49,
      O => y_i_13_OBUF_181
    );
  U1_Mmux_f41 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_12_IBUF_112,
      I2 => input1_12_IBUF_48,
      O => y_i_12_OBUF_180
    );
  U1_Mmux_f31 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_11_IBUF_111,
      I2 => input1_11_IBUF_47,
      O => y_i_11_OBUF_179
    );
  U1_Mmux_f21 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_10_IBUF_110,
      I2 => input1_10_IBUF_46,
      O => y_i_10_OBUF_178
    );
  U1_Mmux_f11 : LUT3
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => U0_f_i_0_2_4,
      I1 => input2_0_IBUF_109,
      I2 => input1_0_IBUF_45,
      O => y_i_0_OBUF_177
    );
  U0_Mcount_f_i_xor_1_11 : LUT2
    generic map(
      INIT => X"6"
    )
    port map (
      I0 => U0_f_i_1_1_6,
      I1 => U0_f_i_0_1_3,
      O => Result(1)
    );
  input1_31_IBUF : IBUF
    port map (
      I => input1(31),
      O => input1_31_IBUF_69
    );
  input1_30_IBUF : IBUF
    port map (
      I => input1(30),
      O => input1_30_IBUF_68
    );
  input1_29_IBUF : IBUF
    port map (
      I => input1(29),
      O => input1_29_IBUF_66
    );
  input1_28_IBUF : IBUF
    port map (
      I => input1(28),
      O => input1_28_IBUF_65
    );
  input1_27_IBUF : IBUF
    port map (
      I => input1(27),
      O => input1_27_IBUF_64
    );
  input1_26_IBUF : IBUF
    port map (
      I => input1(26),
      O => input1_26_IBUF_63
    );
  input1_25_IBUF : IBUF
    port map (
      I => input1(25),
      O => input1_25_IBUF_62
    );
  input1_24_IBUF : IBUF
    port map (
      I => input1(24),
      O => input1_24_IBUF_61
    );
  input1_23_IBUF : IBUF
    port map (
      I => input1(23),
      O => input1_23_IBUF_60
    );
  input1_22_IBUF : IBUF
    port map (
      I => input1(22),
      O => input1_22_IBUF_59
    );
  input1_21_IBUF : IBUF
    port map (
      I => input1(21),
      O => input1_21_IBUF_58
    );
  input1_20_IBUF : IBUF
    port map (
      I => input1(20),
      O => input1_20_IBUF_57
    );
  input1_19_IBUF : IBUF
    port map (
      I => input1(19),
      O => input1_19_IBUF_55
    );
  input1_18_IBUF : IBUF
    port map (
      I => input1(18),
      O => input1_18_IBUF_54
    );
  input1_17_IBUF : IBUF
    port map (
      I => input1(17),
      O => input1_17_IBUF_53
    );
  input1_16_IBUF : IBUF
    port map (
      I => input1(16),
      O => input1_16_IBUF_52
    );
  input1_15_IBUF : IBUF
    port map (
      I => input1(15),
      O => input1_15_IBUF_51
    );
  input1_14_IBUF : IBUF
    port map (
      I => input1(14),
      O => input1_14_IBUF_50
    );
  input1_13_IBUF : IBUF
    port map (
      I => input1(13),
      O => input1_13_IBUF_49
    );
  input1_12_IBUF : IBUF
    port map (
      I => input1(12),
      O => input1_12_IBUF_48
    );
  input1_11_IBUF : IBUF
    port map (
      I => input1(11),
      O => input1_11_IBUF_47
    );
  input1_10_IBUF : IBUF
    port map (
      I => input1(10),
      O => input1_10_IBUF_46
    );
  input1_9_IBUF : IBUF
    port map (
      I => input1(9),
      O => input1_9_IBUF_76
    );
  input1_8_IBUF : IBUF
    port map (
      I => input1(8),
      O => input1_8_IBUF_75
    );
  input1_7_IBUF : IBUF
    port map (
      I => input1(7),
      O => input1_7_IBUF_74
    );
  input1_6_IBUF : IBUF
    port map (
      I => input1(6),
      O => input1_6_IBUF_73
    );
  input1_5_IBUF : IBUF
    port map (
      I => input1(5),
      O => input1_5_IBUF_72
    );
  input1_4_IBUF : IBUF
    port map (
      I => input1(4),
      O => input1_4_IBUF_71
    );
  input1_3_IBUF : IBUF
    port map (
      I => input1(3),
      O => input1_3_IBUF_70
    );
  input1_2_IBUF : IBUF
    port map (
      I => input1(2),
      O => input1_2_IBUF_67
    );
  input1_1_IBUF : IBUF
    port map (
      I => input1(1),
      O => input1_1_IBUF_56
    );
  input1_0_IBUF : IBUF
    port map (
      I => input1(0),
      O => input1_0_IBUF_45
    );
  input2_31_IBUF : IBUF
    port map (
      I => input2(31),
      O => input2_31_IBUF_133
    );
  input2_30_IBUF : IBUF
    port map (
      I => input2(30),
      O => input2_30_IBUF_132
    );
  input2_29_IBUF : IBUF
    port map (
      I => input2(29),
      O => input2_29_IBUF_130
    );
  input2_28_IBUF : IBUF
    port map (
      I => input2(28),
      O => input2_28_IBUF_129
    );
  input2_27_IBUF : IBUF
    port map (
      I => input2(27),
      O => input2_27_IBUF_128
    );
  input2_26_IBUF : IBUF
    port map (
      I => input2(26),
      O => input2_26_IBUF_127
    );
  input2_25_IBUF : IBUF
    port map (
      I => input2(25),
      O => input2_25_IBUF_126
    );
  input2_24_IBUF : IBUF
    port map (
      I => input2(24),
      O => input2_24_IBUF_125
    );
  input2_23_IBUF : IBUF
    port map (
      I => input2(23),
      O => input2_23_IBUF_124
    );
  input2_22_IBUF : IBUF
    port map (
      I => input2(22),
      O => input2_22_IBUF_123
    );
  input2_21_IBUF : IBUF
    port map (
      I => input2(21),
      O => input2_21_IBUF_122
    );
  input2_20_IBUF : IBUF
    port map (
      I => input2(20),
      O => input2_20_IBUF_121
    );
  input2_19_IBUF : IBUF
    port map (
      I => input2(19),
      O => input2_19_IBUF_119
    );
  input2_18_IBUF : IBUF
    port map (
      I => input2(18),
      O => input2_18_IBUF_118
    );
  input2_17_IBUF : IBUF
    port map (
      I => input2(17),
      O => input2_17_IBUF_117
    );
  input2_16_IBUF : IBUF
    port map (
      I => input2(16),
      O => input2_16_IBUF_116
    );
  input2_15_IBUF : IBUF
    port map (
      I => input2(15),
      O => input2_15_IBUF_115
    );
  input2_14_IBUF : IBUF
    port map (
      I => input2(14),
      O => input2_14_IBUF_114
    );
  input2_13_IBUF : IBUF
    port map (
      I => input2(13),
      O => input2_13_IBUF_113
    );
  input2_12_IBUF : IBUF
    port map (
      I => input2(12),
      O => input2_12_IBUF_112
    );
  input2_11_IBUF : IBUF
    port map (
      I => input2(11),
      O => input2_11_IBUF_111
    );
  input2_10_IBUF : IBUF
    port map (
      I => input2(10),
      O => input2_10_IBUF_110
    );
  input2_9_IBUF : IBUF
    port map (
      I => input2(9),
      O => input2_9_IBUF_140
    );
  input2_8_IBUF : IBUF
    port map (
      I => input2(8),
      O => input2_8_IBUF_139
    );
  input2_7_IBUF : IBUF
    port map (
      I => input2(7),
      O => input2_7_IBUF_138
    );
  input2_6_IBUF : IBUF
    port map (
      I => input2(6),
      O => input2_6_IBUF_137
    );
  input2_5_IBUF : IBUF
    port map (
      I => input2(5),
      O => input2_5_IBUF_136
    );
  input2_4_IBUF : IBUF
    port map (
      I => input2(4),
      O => input2_4_IBUF_135
    );
  input2_3_IBUF : IBUF
    port map (
      I => input2(3),
      O => input2_3_IBUF_134
    );
  input2_2_IBUF : IBUF
    port map (
      I => input2(2),
      O => input2_2_IBUF_131
    );
  input2_1_IBUF : IBUF
    port map (
      I => input2(1),
      O => input2_1_IBUF_120
    );
  input2_0_IBUF : IBUF
    port map (
      I => input2(0),
      O => input2_0_IBUF_109
    );
  reset_IBUF : IBUF
    port map (
      I => reset,
      O => reset_IBUF_144
    );
  ce_IBUF : IBUF
    port map (
      I => ce,
      O => ce_IBUF_8
    );
  y_i_31_OBUF : OBUF
    port map (
      I => y_i_31_OBUF_201,
      O => y_i(31)
    );
  y_i_30_OBUF : OBUF
    port map (
      I => y_i_30_OBUF_200,
      O => y_i(30)
    );
  y_i_29_OBUF : OBUF
    port map (
      I => y_i_29_OBUF_198,
      O => y_i(29)
    );
  y_i_28_OBUF : OBUF
    port map (
      I => y_i_28_OBUF_197,
      O => y_i(28)
    );
  y_i_27_OBUF : OBUF
    port map (
      I => y_i_27_OBUF_196,
      O => y_i(27)
    );
  y_i_26_OBUF : OBUF
    port map (
      I => y_i_26_OBUF_195,
      O => y_i(26)
    );
  y_i_25_OBUF : OBUF
    port map (
      I => y_i_25_OBUF_194,
      O => y_i(25)
    );
  y_i_24_OBUF : OBUF
    port map (
      I => y_i_24_OBUF_193,
      O => y_i(24)
    );
  y_i_23_OBUF : OBUF
    port map (
      I => y_i_23_OBUF_192,
      O => y_i(23)
    );
  y_i_22_OBUF : OBUF
    port map (
      I => y_i_22_OBUF_191,
      O => y_i(22)
    );
  y_i_21_OBUF : OBUF
    port map (
      I => y_i_21_OBUF_190,
      O => y_i(21)
    );
  y_i_20_OBUF : OBUF
    port map (
      I => y_i_20_OBUF_189,
      O => y_i(20)
    );
  y_i_19_OBUF : OBUF
    port map (
      I => y_i_19_OBUF_187,
      O => y_i(19)
    );
  y_i_18_OBUF : OBUF
    port map (
      I => y_i_18_OBUF_186,
      O => y_i(18)
    );
  y_i_17_OBUF : OBUF
    port map (
      I => y_i_17_OBUF_185,
      O => y_i(17)
    );
  y_i_16_OBUF : OBUF
    port map (
      I => y_i_16_OBUF_184,
      O => y_i(16)
    );
  y_i_15_OBUF : OBUF
    port map (
      I => y_i_15_OBUF_183,
      O => y_i(15)
    );
  y_i_14_OBUF : OBUF
    port map (
      I => y_i_14_OBUF_182,
      O => y_i(14)
    );
  y_i_13_OBUF : OBUF
    port map (
      I => y_i_13_OBUF_181,
      O => y_i(13)
    );
  y_i_12_OBUF : OBUF
    port map (
      I => y_i_12_OBUF_180,
      O => y_i(12)
    );
  y_i_11_OBUF : OBUF
    port map (
      I => y_i_11_OBUF_179,
      O => y_i(11)
    );
  y_i_10_OBUF : OBUF
    port map (
      I => y_i_10_OBUF_178,
      O => y_i(10)
    );
  y_i_9_OBUF : OBUF
    port map (
      I => y_i_9_OBUF_208,
      O => y_i(9)
    );
  y_i_8_OBUF : OBUF
    port map (
      I => y_i_8_OBUF_207,
      O => y_i(8)
    );
  y_i_7_OBUF : OBUF
    port map (
      I => y_i_7_OBUF_206,
      O => y_i(7)
    );
  y_i_6_OBUF : OBUF
    port map (
      I => y_i_6_OBUF_205,
      O => y_i(6)
    );
  y_i_5_OBUF : OBUF
    port map (
      I => y_i_5_OBUF_204,
      O => y_i(5)
    );
  y_i_4_OBUF : OBUF
    port map (
      I => y_i_4_OBUF_203,
      O => y_i(4)
    );
  y_i_3_OBUF : OBUF
    port map (
      I => y_i_3_OBUF_202,
      O => y_i(3)
    );
  y_i_2_OBUF : OBUF
    port map (
      I => y_i_2_OBUF_199,
      O => y_i(2)
    );
  y_i_1_OBUF : OBUF
    port map (
      I => y_i_1_OBUF_188,
      O => y_i(1)
    );
  y_i_0_OBUF : OBUF
    port map (
      I => y_i_0_OBUF_177,
      O => y_i(0)
    );
  i_1_OBUF : OBUF
    port map (
      I => U0_f_i(1),
      O => i(1)
    );
  i_0_OBUF : OBUF
    port map (
      I => U0_f_i(0),
      O => i(0)
    );
  oe_OBUF : OBUF
    port map (
      I => oe_OBUF_142,
      O => oe
    );
  U0_f_i_0_1 : FDRE
    port map (
      C => clk_BUFGP_10,
      CE => ce_IBUF_8,
      D => Result(0),
      R => reset_IBUF_144,
      Q => U0_f_i_0_1_3
    );
  clk_BUFGP : BUFGP
    port map (
      I => clk,
      O => clk_BUFGP_10
    );
  oe1_INV_0 : INV
    port map (
      I => U0_f_i_1_1_6,
      O => oe_OBUF_142
    );
  U0_Mcount_f_i_xor_0_11_INV_0 : INV
    port map (
      I => U0_f_i_0_1_3,
      O => Result(0)
    );
  U0_f_i_1_1 : FDRE
    port map (
      C => clk_BUFGP_10,
      CE => ce_IBUF_8,
      D => Result(1),
      R => reset_IBUF_144,
      Q => U0_f_i_1_1_6
    );
  U0_f_i_0_2 : FDRE
    port map (
      C => clk_BUFGP_10,
      CE => ce_IBUF_8,
      D => Result(0),
      R => reset_IBUF_144,
      Q => U0_f_i_0_2_4
    );

end Structure;

