----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    02:16:31 04/20/2010 
-- Design Name: 
-- Module Name:    counter2 - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity counter2 is
    Port ( clk : in  STD_LOGIC;
           ce : in  STD_LOGIC;
           reset : in  STD_LOGIC;
           f : out  STD_LOGIC_VECTOR (1 downto 0));
end counter2;

architecture Behavioral of counter2 is

signal f_i : std_logic_vector(1 downto 0);

begin

	process(clk,ce,reset)
	begin
	
		if clk='1' and clk'event then
			if reset='1' then
				f_i <= (others => '0');
			elsif(ce='1') then
				f_i <= f_i + 1;
			end if;
		end if;
	
	end process;
	
	f <= f_i;

end Behavioral;

