--------------------------------------------------------------------------------
-- Copyright (c) 1995-2009 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 11.2
--  \   \         Application : sch2hdl
--  /   /         Filename : diagram.vhf
-- /___/   /\     Timestamp : 04/24/2010 12:04:51
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family virtex6 -flat -suppress -vhdl M:/MQP/vertex6/NeuralNetwork/diagram.vhf -w M:/MQP/vertex6/NeuralNetwork/diagram.sch
--Design Name: diagram
--Device: virtex6
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity diagram is
   port ( );
end diagram;

architecture BEHAVIORAL of diagram is
   signal XLXI_1_ce_openSignal      : std_logic;
   signal XLXI_1_clk_openSignal     : std_logic;
   signal XLXI_1_i_in_openSignal    : std_logic_vector (7 downto 0);
   signal XLXI_1_we_openSignal      : std_logic;
   signal XLXI_1_w_ij_in_openSignal : std_logic_vector (31 downto 0);
   signal XLXI_1_y_i_in_openSignal  : std_logic_vector (31 downto 0);
   signal XLXI_2_addr_openSignal    : std_logic_vector (7 downto 0);
   signal XLXI_2_ce_openSignal      : std_logic;
   signal XLXI_2_clk_openSignal     : std_logic;
   signal XLXI_2_di_openSignal      : std_logic_vector (31 downto 0);
   signal XLXI_2_we_openSignal      : std_logic;
   signal XLXI_3_ce_openSignal      : std_logic;
   signal XLXI_3_clk_openSignal     : std_logic;
   signal XLXI_3_i_openSignal       : std_logic_vector (7 downto 0);
   signal XLXI_3_reset_openSignal   : std_logic;
   signal XLXI_3_we_openSignal      : std_logic;
   signal XLXI_3_w_ij_in_openSignal : std_logic_vector (31 downto 0);
   signal XLXI_3_y_i_openSignal     : std_logic_vector (31 downto 0);
   component switch
      port ( clk     : in    std_logic; 
             ce      : in    std_logic; 
             y_i_in  : in    std_logic_vector (31 downto 0); 
             i_in    : in    std_logic_vector (7 downto 0); 
             oe      : out   std_logic; 
             y_i_out : out   std_logic_vector (31 downto 0); 
             w_ij    : out   std_logic_vector (31 downto 0); 
             we      : in    std_logic; 
             w_ij_in : in    std_logic_vector (31 downto 0));
   end component;
   
   component ram_weight
      port ( clk  : in    std_logic; 
             we   : in    std_logic; 
             ce   : in    std_logic; 
             addr : in    std_logic_vector (7 downto 0); 
             di   : in    std_logic_vector (31 downto 0); 
             do   : out   std_logic_vector (31 downto 0));
   end component;
   
   component neuron
      port ( clk     : in    std_logic; 
             reset   : in    std_logic; 
             ce      : in    std_logic; 
             we      : in    std_logic; 
             y_i     : in    std_logic_vector (31 downto 0); 
             i       : in    std_logic_vector (7 downto 0); 
             w_ij_in : in    std_logic_vector (31 downto 0); 
             oe      : out   std_logic; 
             y_j     : out   std_logic_vector (15 downto 0));
   end component;
   
begin
   XLXI_1 : switch
      port map (ce=>XLXI_1_ce_openSignal,
                clk=>XLXI_1_clk_openSignal,
                i_in(7 downto 0)=>XLXI_1_i_in_openSignal(7 downto 0),
                we=>XLXI_1_we_openSignal,
                w_ij_in(31 downto 0)=>XLXI_1_w_ij_in_openSignal(31 downto 0),
                y_i_in(31 downto 0)=>XLXI_1_y_i_in_openSignal(31 downto 0),
                oe=>open,
                w_ij=>open,
                y_i_out=>open);
   
   XLXI_2 : ram_weight
      port map (addr(7 downto 0)=>XLXI_2_addr_openSignal(7 downto 0),
                ce=>XLXI_2_ce_openSignal,
                clk=>XLXI_2_clk_openSignal,
                di(31 downto 0)=>XLXI_2_di_openSignal(31 downto 0),
                we=>XLXI_2_we_openSignal,
                do=>open);
   
   XLXI_3 : neuron
      port map (ce=>XLXI_3_ce_openSignal,
                clk=>XLXI_3_clk_openSignal,
                i(7 downto 0)=>XLXI_3_i_openSignal(7 downto 0),
                reset=>XLXI_3_reset_openSignal,
                we=>XLXI_3_we_openSignal,
                w_ij_in(31 downto 0)=>XLXI_3_w_ij_in_openSignal(31 downto 0),
                y_i(31 downto 0)=>XLXI_3_y_i_openSignal(31 downto 0),
                oe=>open,
                y_j=>open);
   
end BEHAVIORAL;


