----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    19:26:06 04/03/2010 
-- Design Name: 
-- Module Name:    mult - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity mult is
    Port ( clk : in  STD_LOGIC;
			  ce  : in  STD_LOGIC;
			  y_i : in  STD_LOGIC_VECTOR (31 downto 0);
           w_ij : in  STD_LOGIC_VECTOR (31 downto 0);
           x_ij : out  STD_LOGIC_VECTOR (63 downto 0);
			  oe : out  STD_LOGIC);
end mult;

architecture Behavioral of mult is

begin

	process (clk)
	
	begin
	
		if clk='1' and clk'event then
			if ce='0' then
				x_ij <= (others => '0');
			else
				x_ij <= y_i * w_ij;
			end if;
			
			oe <= ce;
		end if;
	
	end process;

end Behavioral;

