--------------------------------------------------------------------------------
-- Copyright (c) 1995-2009 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: L.46
--  \   \         Application: netgen
--  /   /         Filename: layer2_timesim.vhd
-- /___/   /\     Timestamp: Tue Apr 20 12:41:18 2010
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -intstyle ise -s 1 -pcf layer2.pcf -rpw 100 -tpw 0 -ar Structure -tm layer2 -insert_pp_buffers false -w -dir netgen/par -ofmt vhdl -sim layer2.ncd layer2_timesim.vhd 
-- Device	: 6vsx475tff1759-1 (ADVANCED 1.00 2009-06-01)
-- Input file	: layer2.ncd
-- Output file	: \\ece-homes.ece.wpi.edu\stephen.mann\MQP\vertex6\NeuralNetwork\netgen\par\layer2_timesim.vhd
-- # of Entities	: 1
-- Design Name	: layer2
-- Xilinx	: C:\Xilinx\11.1\ISE
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Command Line Tools User Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library SIMPRIM;
use SIMPRIM.VCOMPONENTS.ALL;
use SIMPRIM.VPACKAGE.ALL;

entity layer2 is
  port (
    clk : in STD_LOGIC := 'X'; 
    reset : in STD_LOGIC := 'X'; 
    ce : in STD_LOGIC := 'X'; 
    oe : out STD_LOGIC; 
    input1 : in STD_LOGIC_VECTOR ( 31 downto 0 ); 
    input2 : in STD_LOGIC_VECTOR ( 31 downto 0 ); 
    y_i : out STD_LOGIC_VECTOR ( 31 downto 0 ); 
    i : out STD_LOGIC_VECTOR ( 1 downto 0 ) 
  );
end layer2;

architecture Structure of layer2 is
  signal input2_28_IBUF_460 : STD_LOGIC; 
  signal input2_29_IBUF_461 : STD_LOGIC; 
  signal y_i_0_OBUF_462 : STD_LOGIC; 
  signal y_i_1_OBUF_463 : STD_LOGIC; 
  signal y_i_10_OBUF_464 : STD_LOGIC; 
  signal y_i_2_OBUF_465 : STD_LOGIC; 
  signal reset_IBUF_466 : STD_LOGIC; 
  signal ce_IBUF_467 : STD_LOGIC; 
  signal clk_BUFGP : STD_LOGIC; 
  signal y_i_11_OBUF_471 : STD_LOGIC; 
  signal y_i_3_OBUF_472 : STD_LOGIC; 
  signal y_i_20_OBUF_473 : STD_LOGIC; 
  signal y_i_12_OBUF_476 : STD_LOGIC; 
  signal y_i_4_OBUF_477 : STD_LOGIC; 
  signal y_i_21_OBUF_478 : STD_LOGIC; 
  signal y_i_13_OBUF_479 : STD_LOGIC; 
  signal y_i_5_OBUF_480 : STD_LOGIC; 
  signal y_i_30_OBUF_481 : STD_LOGIC; 
  signal y_i_22_OBUF_482 : STD_LOGIC; 
  signal y_i_14_OBUF_483 : STD_LOGIC; 
  signal y_i_6_OBUF_484 : STD_LOGIC; 
  signal y_i_31_OBUF_485 : STD_LOGIC; 
  signal y_i_23_OBUF_486 : STD_LOGIC; 
  signal y_i_15_OBUF_487 : STD_LOGIC; 
  signal y_i_7_OBUF_488 : STD_LOGIC; 
  signal y_i_24_OBUF_489 : STD_LOGIC; 
  signal y_i_16_OBUF_490 : STD_LOGIC; 
  signal input1_0_IBUF_491 : STD_LOGIC; 
  signal y_i_8_OBUF_492 : STD_LOGIC; 
  signal y_i_25_OBUF_493 : STD_LOGIC; 
  signal y_i_17_OBUF_494 : STD_LOGIC; 
  signal input1_1_IBUF_495 : STD_LOGIC; 
  signal y_i_9_OBUF_496 : STD_LOGIC; 
  signal y_i_26_OBUF_497 : STD_LOGIC; 
  signal y_i_18_OBUF_498 : STD_LOGIC; 
  signal input1_2_IBUF_499 : STD_LOGIC; 
  signal y_i_27_OBUF_500 : STD_LOGIC; 
  signal y_i_19_OBUF_501 : STD_LOGIC; 
  signal input1_3_IBUF_502 : STD_LOGIC; 
  signal y_i_28_OBUF_503 : STD_LOGIC; 
  signal input2_0_IBUF_504 : STD_LOGIC; 
  signal input1_4_IBUF_505 : STD_LOGIC; 
  signal y_i_29_OBUF_506 : STD_LOGIC; 
  signal input2_1_IBUF_507 : STD_LOGIC; 
  signal input1_5_IBUF_508 : STD_LOGIC; 
  signal input2_2_IBUF_509 : STD_LOGIC; 
  signal input1_6_IBUF_510 : STD_LOGIC; 
  signal input2_3_IBUF_511 : STD_LOGIC; 
  signal input1_7_IBUF_512 : STD_LOGIC; 
  signal input2_4_IBUF_513 : STD_LOGIC; 
  signal input1_8_IBUF_514 : STD_LOGIC; 
  signal input1_10_IBUF_515 : STD_LOGIC; 
  signal input2_5_IBUF_516 : STD_LOGIC; 
  signal input1_9_IBUF_517 : STD_LOGIC; 
  signal input1_11_IBUF_518 : STD_LOGIC; 
  signal input2_6_IBUF_519 : STD_LOGIC; 
  signal input1_20_IBUF_520 : STD_LOGIC; 
  signal input1_12_IBUF_521 : STD_LOGIC; 
  signal U0_f_i_1_1_522 : STD_LOGIC; 
  signal oe_OBUF_0 : STD_LOGIC; 
  signal clk_BUFGP_IBUFG_524 : STD_LOGIC; 
  signal U0_f_i_0_2_0 : STD_LOGIC; 
  signal input2_10_IBUF_526 : STD_LOGIC; 
  signal input2_11_IBUF_527 : STD_LOGIC; 
  signal input2_12_IBUF_528 : STD_LOGIC; 
  signal input2_13_IBUF_529 : STD_LOGIC; 
  signal input1_13_IBUF_530 : STD_LOGIC; 
  signal input2_14_IBUF_531 : STD_LOGIC; 
  signal input1_14_IBUF_532 : STD_LOGIC; 
  signal input2_15_IBUF_533 : STD_LOGIC; 
  signal input1_15_IBUF_534 : STD_LOGIC; 
  signal input2_16_IBUF_535 : STD_LOGIC; 
  signal input1_16_IBUF_536 : STD_LOGIC; 
  signal input2_17_IBUF_537 : STD_LOGIC; 
  signal input1_17_IBUF_538 : STD_LOGIC; 
  signal input2_18_IBUF_539 : STD_LOGIC; 
  signal input1_18_IBUF_540 : STD_LOGIC; 
  signal input2_19_IBUF_541 : STD_LOGIC; 
  signal input1_19_IBUF_542 : STD_LOGIC; 
  signal input2_27_IBUF_543 : STD_LOGIC; 
  signal input1_27_IBUF_544 : STD_LOGIC; 
  signal input2_20_IBUF_545 : STD_LOGIC; 
  signal input1_28_IBUF_546 : STD_LOGIC; 
  signal input2_21_IBUF_547 : STD_LOGIC; 
  signal input1_21_IBUF_548 : STD_LOGIC; 
  signal input1_29_IBUF_549 : STD_LOGIC; 
  signal input2_7_IBUF_550 : STD_LOGIC; 
  signal input2_22_IBUF_551 : STD_LOGIC; 
  signal input1_22_IBUF_552 : STD_LOGIC; 
  signal input2_8_IBUF_553 : STD_LOGIC; 
  signal input2_23_IBUF_554 : STD_LOGIC; 
  signal input1_23_IBUF_555 : STD_LOGIC; 
  signal input2_30_IBUF_556 : STD_LOGIC; 
  signal input1_30_IBUF_557 : STD_LOGIC; 
  signal input2_9_IBUF_558 : STD_LOGIC; 
  signal input2_24_IBUF_559 : STD_LOGIC; 
  signal input1_24_IBUF_560 : STD_LOGIC; 
  signal input2_31_IBUF_561 : STD_LOGIC; 
  signal input1_31_IBUF_562 : STD_LOGIC; 
  signal input2_25_IBUF_563 : STD_LOGIC; 
  signal input1_25_IBUF_564 : STD_LOGIC; 
  signal input2_26_IBUF_565 : STD_LOGIC; 
  signal input1_26_IBUF_566 : STD_LOGIC; 
  signal U0_f_i_0_1_567 : STD_LOGIC; 
  signal U0_f_i_0_2_357 : STD_LOGIC; 
  signal oe_OBUF_INV_oe1_INV_0IN : STD_LOGIC; 
  signal oe_OBUF_125 : STD_LOGIC; 
  signal VCC : STD_LOGIC; 
  signal GND : STD_LOGIC; 
  signal Result : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal U0_f_i : STD_LOGIC_VECTOR ( 1 downto 0 ); 
begin
  U1_Mmux_f211 : X_LUT6
    generic map(
      LOC => "SLICE_X25Y118",
      INIT => X"EEEE4444EEEE4444"
    )
    port map (
      ADR3 => VCC,
      ADR5 => VCC,
      ADR2 => VCC,
      ADR0 => U0_f_i_0_2_0,
      ADR4 => input2_28_IBUF_460,
      ADR1 => input1_28_IBUF_546,
      O => y_i_28_OBUF_503
    );
  U1_Mmux_f171 : X_LUT6
    generic map(
      LOC => "SLICE_X25Y122",
      INIT => X"AFAFA0A0AFAFA0A0"
    )
    port map (
      ADR5 => VCC,
      ADR1 => VCC,
      ADR3 => VCC,
      ADR2 => U0_f_i_0_2_0,
      ADR0 => input2_24_IBUF_559,
      ADR4 => input1_24_IBUF_560,
      O => y_i_24_OBUF_489
    );
  U1_Mmux_f161 : X_LUT6
    generic map(
      LOC => "SLICE_X25Y123",
      INIT => X"FFF0FFF00F000F00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR4 => VCC,
      ADR2 => U0_f_i_0_2_0,
      ADR5 => input2_23_IBUF_554,
      ADR3 => input1_23_IBUF_555,
      O => y_i_23_OBUF_486
    );
  U1_Mmux_f101 : X_LUT6
    generic map(
      LOC => "SLICE_X25Y128",
      INIT => X"D8D8D8D8D8D8D8D8"
    )
    port map (
      ADR3 => VCC,
      ADR4 => VCC,
      ADR5 => VCC,
      ADR0 => U0_f_i_0_2_0,
      ADR1 => input2_18_IBUF_539,
      ADR2 => input1_18_IBUF_540,
      O => y_i_18_OBUF_498
    );
  U1_Mmux_f91 : X_LUT6
    generic map(
      LOC => "SLICE_X25Y129",
      INIT => X"FFFFFF000000FF00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR4 => U0_f_i_0_2_0,
      ADR5 => input2_17_IBUF_537,
      ADR3 => input1_17_IBUF_538,
      O => y_i_17_OBUF_494
    );
  U1_Mmux_f81 : X_LUT6
    generic map(
      LOC => "SLICE_X25Y130",
      INIT => X"F0F0FF00F0F0FF00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR5 => VCC,
      ADR4 => U0_f_i_0_2_0,
      ADR2 => input2_16_IBUF_535,
      ADR3 => input1_16_IBUF_536,
      O => y_i_16_OBUF_490
    );
  U1_Mmux_f21 : X_LUT6
    generic map(
      LOC => "SLICE_X25Y136",
      INIT => X"FF00FFFFFF000000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR4 => U0_f_i_0_2_0,
      ADR3 => input2_10_IBUF_526,
      ADR5 => input1_10_IBUF_515,
      O => y_i_10_OBUF_464
    );
  U1_Mmux_f281 : X_LUT6
    generic map(
      LOC => "SLICE_X29Y146",
      INIT => X"FFF00F00FFF00F00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR5 => VCC,
      ADR2 => U0_f_i_0_2_0,
      ADR4 => input2_5_IBUF_516,
      ADR3 => input1_5_IBUF_508,
      O => y_i_5_OBUF_480
    );
  U1_Mmux_f291 : X_LUT6
    generic map(
      LOC => "SLICE_X29Y146",
      INIT => X"FFFFF0F00F0F0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR3 => VCC,
      ADR2 => U0_f_i_0_2_0,
      ADR5 => input2_6_IBUF_519,
      ADR4 => input1_6_IBUF_510,
      O => y_i_6_OBUF_484
    );
  U1_Mmux_f11 : X_LUT6
    generic map(
      LOC => "SLICE_X86Y126",
      INIT => X"FF55AA00FF55AA00"
    )
    port map (
      ADR5 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR0 => U0_f_i_0_2_0,
      ADR3 => input2_0_IBUF_504,
      ADR4 => input1_0_IBUF_491,
      O => y_i_0_OBUF_462
    );
  U1_Mmux_f261 : X_LUT6
    generic map(
      LOC => "SLICE_X86Y148",
      INIT => X"FAFA5050FAFA5050"
    )
    port map (
      ADR3 => VCC,
      ADR1 => VCC,
      ADR5 => VCC,
      ADR0 => U0_f_i_0_2_0,
      ADR4 => input2_3_IBUF_511,
      ADR2 => input1_3_IBUF_502,
      O => y_i_3_OBUF_472
    );
  U1_Mmux_f271 : X_LUT6
    generic map(
      LOC => "SLICE_X86Y148",
      INIT => X"FFF00F00FFF00F00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR5 => VCC,
      ADR2 => U0_f_i_0_2_0,
      ADR4 => input2_4_IBUF_513,
      ADR3 => input1_4_IBUF_505,
      O => y_i_4_OBUF_477
    );
  U1_Mmux_f121 : X_LUT6
    generic map(
      LOC => "SLICE_X86Y150",
      INIT => X"FAFA5050FAFA5050"
    )
    port map (
      ADR3 => VCC,
      ADR1 => VCC,
      ADR5 => VCC,
      ADR0 => U0_f_i_0_2_0,
      ADR4 => input2_1_IBUF_507,
      ADR2 => input1_1_IBUF_495,
      O => y_i_1_OBUF_463
    );
  U1_Mmux_f231 : X_LUT6
    generic map(
      LOC => "SLICE_X86Y150",
      INIT => X"FFF00F00FFF00F00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR5 => VCC,
      ADR2 => U0_f_i_0_2_0,
      ADR4 => input2_2_IBUF_509,
      ADR3 => input1_2_IBUF_499,
      O => y_i_2_OBUF_465
    );
  U0_f_i_1_1_U0_f_i_1_1_AMUX_Delay : X_BUF
    generic map(
      PATHPULSE => 483 ps
    )
    port map (
      I => U0_f_i_0_2_357,
      O => U0_f_i_0_2_0
    );
  U0_f_i_1_1 : X_SFF
    generic map(
      LOC => "SLICE_X86Y158",
      INIT => '0'
    )
    port map (
      CE => ce_IBUF_467,
      CLK => clk_BUFGP,
      I => Result(1),
      O => U0_f_i_1_1_522,
      SRST => reset_IBUF_466,
      SET => GND,
      RST => GND,
      SSET => GND
    );
  U0_Mcount_f_i_xor_1_11 : X_LUT6
    generic map(
      LOC => "SLICE_X86Y158",
      INIT => X"00FFFF0000FFFF00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => U0_f_i_1_1_522,
      ADR5 => VCC,
      ADR4 => U0_f_i_0_1_567,
      O => Result(1)
    );
  U0_f_i_0_1 : X_SFF
    generic map(
      LOC => "SLICE_X86Y158",
      INIT => '0'
    )
    port map (
      CE => ce_IBUF_467,
      CLK => clk_BUFGP,
      I => Result(0),
      O => U0_f_i_0_1_567,
      SRST => reset_IBUF_466,
      SET => GND,
      RST => GND,
      SSET => GND
    );
  U0_Mcount_f_i_xor_0_11_INV_0 : X_LUT6
    generic map(
      LOC => "SLICE_X86Y158",
      INIT => X"00FF00FF00FF00FF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => U0_f_i_0_1_567,
      ADR4 => VCC,
      ADR5 => VCC,
      O => Result(0)
    );
  U0_f_i_0_2 : X_SFF
    generic map(
      LOC => "SLICE_X86Y158",
      INIT => '0'
    )
    port map (
      CE => ce_IBUF_467,
      CLK => clk_BUFGP,
      I => Result(0),
      O => U0_f_i_0_2_357,
      SRST => reset_IBUF_466,
      SET => GND,
      RST => GND,
      SSET => GND
    );
  U1_Mmux_f141 : X_LUT6
    generic map(
      LOC => "SLICE_X17Y130",
      INIT => X"FFFFFF000000FF00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR4 => U0_f_i_0_2_0,
      ADR5 => input2_21_IBUF_547,
      ADR3 => input1_21_IBUF_548,
      O => y_i_21_OBUF_478
    );
  U1_Mmux_f71 : X_LUT6
    generic map(
      LOC => "SLICE_X17Y136",
      INIT => X"F0F0FF00F0F0FF00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR5 => VCC,
      ADR4 => U0_f_i_0_2_0,
      ADR2 => input2_15_IBUF_533,
      ADR3 => input1_15_IBUF_534,
      O => y_i_15_OBUF_487
    );
  U1_Mmux_f51 : X_LUT6
    generic map(
      LOC => "SLICE_X17Y138",
      INIT => X"FFF00F00FFF00F00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR5 => VCC,
      ADR2 => U0_f_i_0_2_0,
      ADR4 => input2_13_IBUF_529,
      ADR3 => input1_13_IBUF_530,
      O => y_i_13_OBUF_479
    );
  U1_Mmux_f321 : X_LUT6
    generic map(
      LOC => "SLICE_X17Y146",
      INIT => X"AAAAFF00AAAAFF00"
    )
    port map (
      ADR5 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR4 => U0_f_i_0_2_0,
      ADR0 => input2_9_IBUF_558,
      ADR3 => input1_9_IBUF_517,
      O => y_i_9_OBUF_496
    );
  U1_Mmux_f301 : X_LUT6
    generic map(
      LOC => "SLICE_X17Y148",
      INIT => X"AAAAFF00AAAAFF00"
    )
    port map (
      ADR5 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR4 => U0_f_i_0_2_0,
      ADR0 => input2_7_IBUF_550,
      ADR3 => input1_7_IBUF_512,
      O => y_i_7_OBUF_488
    );
  U1_Mmux_f241 : X_LUT6
    generic map(
      LOC => "SLICE_X19Y120",
      INIT => X"FF33FF33CC00CC00"
    )
    port map (
      ADR0 => VCC,
      ADR4 => VCC,
      ADR2 => VCC,
      ADR1 => U0_f_i_0_2_0,
      ADR3 => input2_30_IBUF_556,
      ADR5 => input1_30_IBUF_557,
      O => y_i_30_OBUF_481
    );
  U1_Mmux_f111 : X_LUT6
    generic map(
      LOC => "SLICE_X19Y132",
      INIT => X"FFFFFF000000FF00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR4 => U0_f_i_0_2_0,
      ADR5 => input2_19_IBUF_541,
      ADR3 => input1_19_IBUF_542,
      O => y_i_19_OBUF_501
    );
  U1_Mmux_f191 : X_LUT6
    generic map(
      LOC => "SLICE_X21Y124",
      INIT => X"BB88BB88BB88BB88"
    )
    port map (
      ADR5 => VCC,
      ADR4 => VCC,
      ADR2 => VCC,
      ADR1 => U0_f_i_0_2_0,
      ADR0 => input2_26_IBUF_565,
      ADR3 => input1_26_IBUF_566,
      O => y_i_26_OBUF_497
    );
  U1_Mmux_f131 : X_LUT6
    generic map(
      LOC => "SLICE_X21Y128",
      INIT => X"FCFCFCFC30303030"
    )
    port map (
      ADR0 => VCC,
      ADR3 => VCC,
      ADR4 => VCC,
      ADR1 => U0_f_i_0_2_0,
      ADR5 => input2_20_IBUF_545,
      ADR2 => input1_20_IBUF_520,
      O => y_i_20_OBUF_473
    );
  U1_Mmux_f61 : X_LUT6
    generic map(
      LOC => "SLICE_X21Y134",
      INIT => X"FCFCFCFC30303030"
    )
    port map (
      ADR0 => VCC,
      ADR3 => VCC,
      ADR4 => VCC,
      ADR1 => U0_f_i_0_2_0,
      ADR5 => input2_14_IBUF_531,
      ADR2 => input1_14_IBUF_532,
      O => y_i_14_OBUF_483
    );
  U1_Mmux_f311 : X_LUT6
    generic map(
      LOC => "SLICE_X21Y140",
      INIT => X"FCFCFCFC30303030"
    )
    port map (
      ADR0 => VCC,
      ADR3 => VCC,
      ADR4 => VCC,
      ADR1 => U0_f_i_0_2_0,
      ADR5 => input2_8_IBUF_553,
      ADR2 => input1_8_IBUF_514,
      O => y_i_8_OBUF_492
    );
  U1_Mmux_f31 : X_LUT6
    generic map(
      LOC => "SLICE_X23Y134",
      INIT => X"AAAAFF00AAAAFF00"
    )
    port map (
      ADR5 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR4 => U0_f_i_0_2_0,
      ADR0 => input2_11_IBUF_527,
      ADR3 => input1_11_IBUF_518,
      O => y_i_11_OBUF_471
    );
  U1_Mmux_f41 : X_LUT6
    generic map(
      LOC => "SLICE_X23Y134",
      INIT => X"FFFFAAAA55550000"
    )
    port map (
      ADR3 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR0 => U0_f_i_0_2_0,
      ADR5 => input2_12_IBUF_528,
      ADR4 => input1_12_IBUF_521,
      O => y_i_12_OBUF_476
    );
  U1_Mmux_f201 : X_LUT6
    generic map(
      LOC => "SLICE_X24Y118",
      INIT => X"FFF00F00FFF00F00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR5 => VCC,
      ADR2 => U0_f_i_0_2_0,
      ADR4 => input2_27_IBUF_543,
      ADR3 => input1_27_IBUF_544,
      O => y_i_27_OBUF_500
    );
  U1_Mmux_f151 : X_LUT6
    generic map(
      LOC => "SLICE_X24Y124",
      INIT => X"FFF00F00FFF00F00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR5 => VCC,
      ADR2 => U0_f_i_0_2_0,
      ADR4 => input2_22_IBUF_551,
      ADR3 => input1_22_IBUF_552,
      O => y_i_22_OBUF_482
    );
  input1_11_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y147",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_11_IBUF_518,
      I => input1(11)
    );
  ce_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y154",
      PATHPULSE => 483 ps
    )
    port map (
      O => ce_IBUF_467,
      I => ce
    );
  input2_6_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y146",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_6_IBUF_519,
      I => input2(6)
    );
  input1_20_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y132",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_20_IBUF_520,
      I => input1(20)
    );
  input1_12_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y144",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_12_IBUF_521,
      I => input1(12)
    );
  INV_oe1_INV_0IN : X_INV
    generic map(
      PATHPULSE => 483 ps
    )
    port map (
      I => U0_f_i_1_1_522,
      O => oe_OBUF_INV_oe1_INV_0IN
    );
  oe_OBUF_oe_OBUF_OQ_Delay : X_BUF
    generic map(
      PATHPULSE => 483 ps
    )
    port map (
      I => oe_OBUF_125,
      O => oe_OBUF_0
    );
  oe1_INV_0 : X_BUF
    generic map(
      LOC => "OLOGIC_X1Y157",
      PATHPULSE => 483 ps
    )
    port map (
      I => oe_OBUF_INV_oe1_INV_0IN,
      O => oe_OBUF_125
    );
  clk_BUFGP_BUFG : X_CKBUF
    generic map(
      LOC => "BUFGCTRL_X0Y0",
      PATHPULSE => 483 ps
    )
    port map (
      I => clk_BUFGP_IBUFG_524,
      O => clk_BUFGP
    );
  input2_7_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y149",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_7_IBUF_550,
      I => input2(7)
    );
  input1_21_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y137",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_21_IBUF_548,
      I => input1(21)
    );
  input1_13_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y145",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_13_IBUF_530,
      I => input1(13)
    );
  input2_8_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y140",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_8_IBUF_553,
      I => input2(8)
    );
  input2_1_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y155",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_1_IBUF_507,
      I => input2(1)
    );
  input1_5_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y153",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_5_IBUF_508,
      I => input1(5)
    );
  input2_2_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y150",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_2_IBUF_509,
      I => input2(2)
    );
  input1_6_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y150",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_6_IBUF_510,
      I => input1(6)
    );
  input2_3_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y153",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_3_IBUF_511,
      I => input2(3)
    );
  input1_7_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y151",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_7_IBUF_512,
      I => input1(7)
    );
  input2_4_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y148",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_4_IBUF_513,
      I => input2(4)
    );
  input1_8_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y148",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_8_IBUF_514,
      I => input1(8)
    );
  input1_10_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y146",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_10_IBUF_515,
      I => input1(10)
    );
  input2_5_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y151",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_5_IBUF_516,
      I => input2(5)
    );
  input1_9_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y149",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_9_IBUF_517,
      I => input1(9)
    );
  y_i_26_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y96"
    )
    port map (
      I => y_i_26_OBUF_497,
      O => y_i(26)
    );
  y_i_18_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y104"
    )
    port map (
      I => y_i_18_OBUF_498,
      O => y_i(18)
    );
  input1_2_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y154",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_2_IBUF_499,
      I => input1(2)
    );
  y_i_27_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y95"
    )
    port map (
      I => y_i_27_OBUF_500,
      O => y_i(27)
    );
  y_i_19_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y103"
    )
    port map (
      I => y_i_19_OBUF_501,
      O => y_i(19)
    );
  input1_3_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y155",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_3_IBUF_502,
      I => input1(3)
    );
  y_i_28_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y94"
    )
    port map (
      I => y_i_28_OBUF_503,
      O => y_i(28)
    );
  input2_0_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y152",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_0_IBUF_504,
      I => input2(0)
    );
  input1_4_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y152",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_4_IBUF_505,
      I => input1(4)
    );
  y_i_29_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y93"
    )
    port map (
      I => y_i_29_OBUF_506,
      O => y_i(29)
    );
  y_i_15_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y107"
    )
    port map (
      I => y_i_15_OBUF_487,
      O => y_i(15)
    );
  reset_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y156",
      PATHPULSE => 483 ps
    )
    port map (
      O => reset_IBUF_466,
      I => reset
    );
  y_i_7_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y138"
    )
    port map (
      I => y_i_7_OBUF_488,
      O => y_i(7)
    );
  y_i_24_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y98"
    )
    port map (
      I => y_i_24_OBUF_489,
      O => y_i(24)
    );
  y_i_16_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y106"
    )
    port map (
      I => y_i_16_OBUF_490,
      O => y_i(16)
    );
  input1_0_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y118",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_0_IBUF_491,
      I => input1(0)
    );
  y_i_8_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y114"
    )
    port map (
      I => y_i_8_OBUF_492,
      O => y_i(8)
    );
  y_i_25_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y97"
    )
    port map (
      I => y_i_25_OBUF_493,
      O => y_i(25)
    );
  y_i_17_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y105"
    )
    port map (
      I => y_i_17_OBUF_494,
      O => y_i(17)
    );
  input1_1_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y157",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_1_IBUF_495,
      I => input1(1)
    );
  y_i_9_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y113"
    )
    port map (
      I => y_i_9_OBUF_496,
      O => y_i(9)
    );
  input2_25_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y126",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_25_IBUF_563,
      I => input2(25)
    );
  input2_17_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y139",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_17_IBUF_537,
      I => input2(17)
    );
  input2_26_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y125",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_26_IBUF_565,
      I => input2(26)
    );
  input2_18_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y129",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_18_IBUF_539,
      I => input2(18)
    );
  i_0_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X1Y159"
    )
    port map (
      I => U0_f_i(0),
      O => i(0)
    );
  input2_27_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y119",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_27_IBUF_543,
      I => input2(27)
    );
  input2_19_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y132",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_19_IBUF_541,
      I => input2(19)
    );
  i_1_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X1Y158"
    )
    port map (
      I => U0_f_i(1),
      O => i(1)
    );
  U1_Mmux_f251 : X_LUT6
    generic map(
      LOC => "SLICE_X17Y120",
      INIT => X"FF00FFFFFF000000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR4 => U0_f_i_0_2_0,
      ADR3 => input2_31_IBUF_561,
      ADR5 => input1_31_IBUF_562,
      O => y_i_31_OBUF_485
    );
  U1_Mmux_f221 : X_LUT6
    generic map(
      LOC => "SLICE_X17Y122",
      INIT => X"FFF00F00FFF00F00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR5 => VCC,
      ADR2 => U0_f_i_0_2_0,
      ADR4 => input2_29_IBUF_461,
      ADR3 => input1_29_IBUF_549,
      O => y_i_29_OBUF_506
    );
  U1_Mmux_f181 : X_LUT6
    generic map(
      LOC => "SLICE_X17Y126",
      INIT => X"F0F0F0F0FF00FF00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR4 => VCC,
      ADR5 => U0_f_i_0_2_0,
      ADR2 => input2_25_IBUF_563,
      ADR3 => input1_25_IBUF_564,
      O => y_i_25_OBUF_493
    );
  input2_13_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y138",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_13_IBUF_529,
      I => input2(13)
    );
  input1_29_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y129",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_29_IBUF_549,
      I => input1(29)
    );
  input2_30_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y121",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_30_IBUF_556,
      I => input2(30)
    );
  input2_22_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y124",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_22_IBUF_551,
      I => input2(22)
    );
  input2_14_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y134",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_14_IBUF_531,
      I => input2(14)
    );
  oe_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X1Y157"
    )
    port map (
      I => oe_OBUF_0,
      O => oe
    );
  input2_31_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y120",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_31_IBUF_561,
      I => input2(31)
    );
  input2_23_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y133",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_23_IBUF_554,
      I => input2(23)
    );
  input2_15_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y136",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_15_IBUF_533,
      I => input2(15)
    );
  input2_24_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y123",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_24_IBUF_559,
      I => input2(24)
    );
  input2_16_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y131",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_16_IBUF_535,
      I => input2(16)
    );
  input2_10_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y137",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_10_IBUF_526,
      I => input2(10)
    );
  input1_26_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y125",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_26_IBUF_566,
      I => input1(26)
    );
  input1_18_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y134",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_18_IBUF_540,
      I => input1(18)
    );
  input2_11_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y145",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_11_IBUF_527,
      I => input2(11)
    );
  input1_27_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y131",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_27_IBUF_544,
      I => input1(27)
    );
  input1_19_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y139",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_19_IBUF_542,
      I => input1(19)
    );
  clk_BUFGP_IBUFG : X_BUF
    generic map(
      LOC => "IOB_X2Y203",
      PATHPULSE => 483 ps
    )
    port map (
      O => clk_BUFGP_IBUFG_524,
      I => clk
    );
  input2_20_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y128",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_20_IBUF_545,
      I => input2(20)
    );
  input2_12_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y135",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_12_IBUF_528,
      I => input2(12)
    );
  input1_28_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y128",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_28_IBUF_546,
      I => input1(28)
    );
  input2_21_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y130",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_21_IBUF_547,
      I => input2(21)
    );
  input1_30_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y122",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_30_IBUF_557,
      I => input1(30)
    );
  input1_22_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y130",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_22_IBUF_552,
      I => input1(22)
    );
  input1_14_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y142",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_14_IBUF_532,
      I => input1(14)
    );
  input2_9_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y147",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_9_IBUF_558,
      I => input2(9)
    );
  input1_31_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y120",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_31_IBUF_562,
      I => input1(31)
    );
  input1_23_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y135",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_23_IBUF_555,
      I => input1(23)
    );
  input1_15_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y143",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_15_IBUF_534,
      I => input1(15)
    );
  input1_24_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y127",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_24_IBUF_560,
      I => input1(24)
    );
  input1_16_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y136",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_16_IBUF_536,
      I => input1(16)
    );
  input1_25_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y133",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_25_IBUF_564,
      I => input1(25)
    );
  input1_17_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y141",
      PATHPULSE => 483 ps
    )
    port map (
      O => input1_17_IBUF_538,
      I => input1(17)
    );
  input2_28_IBUF : X_BUF
    generic map(
      LOC => "IOB_X0Y118",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_28_IBUF_460,
      I => input2(28)
    );
  input2_29_IBUF : X_BUF
    generic map(
      LOC => "IOB_X1Y122",
      PATHPULSE => 483 ps
    )
    port map (
      O => input2_29_IBUF_461,
      I => input2(29)
    );
  y_i_0_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X1Y127"
    )
    port map (
      I => y_i_0_OBUF_462,
      O => y_i(0)
    );
  y_i_1_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X1Y121"
    )
    port map (
      I => y_i_1_OBUF_463,
      O => y_i(1)
    );
  y_i_10_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y112"
    )
    port map (
      I => y_i_10_OBUF_464,
      O => y_i(10)
    );
  y_i_2_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X1Y144"
    )
    port map (
      I => y_i_2_OBUF_465,
      O => y_i(2)
    );
  U0_f_i_0 : X_SFF
    generic map(
      LOC => "OLOGIC_X1Y159",
      INIT => '0'
    )
    port map (
      CE => ce_IBUF_467,
      CLK => clk_BUFGP,
      I => Result(0),
      O => U0_f_i(0),
      SSET => GND,
      SRST => reset_IBUF_466,
      SET => GND,
      RST => GND
    );
  y_i_11_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y111"
    )
    port map (
      I => y_i_11_OBUF_471,
      O => y_i(11)
    );
  y_i_3_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X1Y143"
    )
    port map (
      I => y_i_3_OBUF_472,
      O => y_i(3)
    );
  y_i_20_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y102"
    )
    port map (
      I => y_i_20_OBUF_473,
      O => y_i(20)
    );
  U0_f_i_1 : X_SFF
    generic map(
      LOC => "OLOGIC_X1Y158",
      INIT => '0'
    )
    port map (
      CE => ce_IBUF_467,
      CLK => clk_BUFGP,
      I => Result(1),
      O => U0_f_i(1),
      SSET => GND,
      SRST => reset_IBUF_466,
      SET => GND,
      RST => GND
    );
  y_i_12_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y110"
    )
    port map (
      I => y_i_12_OBUF_476,
      O => y_i(12)
    );
  y_i_4_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X1Y142"
    )
    port map (
      I => y_i_4_OBUF_477,
      O => y_i(4)
    );
  y_i_21_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y101"
    )
    port map (
      I => y_i_21_OBUF_478,
      O => y_i(21)
    );
  y_i_13_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y109"
    )
    port map (
      I => y_i_13_OBUF_479,
      O => y_i(13)
    );
  y_i_5_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y140"
    )
    port map (
      I => y_i_5_OBUF_480,
      O => y_i(5)
    );
  y_i_30_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y92"
    )
    port map (
      I => y_i_30_OBUF_481,
      O => y_i(30)
    );
  y_i_22_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y100"
    )
    port map (
      I => y_i_22_OBUF_482,
      O => y_i(22)
    );
  y_i_14_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y108"
    )
    port map (
      I => y_i_14_OBUF_483,
      O => y_i(14)
    );
  y_i_6_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X1Y141"
    )
    port map (
      I => y_i_6_OBUF_484,
      O => y_i(6)
    );
  y_i_31_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y91"
    )
    port map (
      I => y_i_31_OBUF_485,
      O => y_i(31)
    );
  y_i_23_OBUF : X_OBUF
    generic map(
      LOC => "IOB_X0Y99"
    )
    port map (
      I => y_i_23_OBUF_486,
      O => y_i(23)
    );
  NlwBlock_layer2_VCC : X_ONE
    port map (
      O => VCC
    );
  NlwBlock_layer2_GND : X_ZERO
    port map (
      O => GND
    );
  NlwBlockROC : X_ROC
    generic map (ROC_WIDTH => 100 ns)
    port map (O => GSR);
  NlwBlockTOC : X_TOC
    port map (O => GTS);

end Structure;

