----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    18:34:53 04/23/2010 
-- Design Name: 
-- Module Name:    ram_weight - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity ram_weight is
    Port ( clk : in  STD_LOGIC;
           we : in  STD_LOGIC;
           ce : in  STD_LOGIC;
           addr : in  STD_LOGIC_VECTOR (7 downto 0);
           di : in  STD_LOGIC_VECTOR (31 downto 0);
           do : out  STD_LOGIC_VECTOR (31 downto 0));
end ram_weight;

architecture Behavioral of ram_weight is

	type ram_type is array (256 downto 0) of std_logic_vector (31 downto 0);
	signal RAM : ram_type;

begin

	process(clk)
	begin
	
		if clk'event and clk='1' then
			if ce='1' then
				if we='1' then
					RAM(conv_integer(addr)) <= di;
				end if;
				do <= RAM(conv_integer(addr));
			end if;
		end if;
	
	end process;

end Behavioral;

